This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478509 - strigidaemon segfaults
strigidaemon segfaults
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: strigi (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 00:20 EST by Rex Dieter
Modified: 2009-12-18 02:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:26:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-12-31 00:20:05 EST
$ rpm -q strigi
strigi-0.5.11.1-1.fc10.x86_64

$ strigidaemon
WARNING: field 'http://strigi.sf.net/ontologies/0.9#debugParseError' is not defined in any rdfs ontology database.
Segmentation fault
Comment 1 Kevin Kofler 2008-12-31 06:02:50 EST
Oh joy, what better way to celebrate the New Year than a segfault! :-(
Comment 2 Rex Dieter 2009-01-01 19:44:42 EST
Apparently specific to x86_64, my i386 seems better (not tested too extensively yet).
Comment 3 Rex Dieter 2009-01-07 09:39:40 EST
boo, tried recently released 0.6.2, no love.
Comment 4 Kevin Kofler 2009-01-07 17:27:30 EST
I think the bug is not in Strigi itself, but in Nepomuk's Strigi plugins (i.e. in KDE 4.2).
Comment 5 Rex Dieter 2009-01-07 17:59:22 EST
I think you're right... I'll try to snag a backtrace tonight.
Comment 6 Rex Dieter 2009-02-02 16:53:46 EST
A belated backtrace with strigi-0.6.3 + kdelibs-4.2.0-7:

#0  KComponentDataPrivate::lazyInit (this=0x0, component=@0x65a9c0)
    at /usr/src/debug/kdelibs-4.2.0/kdecore/kernel/kcomponentdata.cpp:135
#1  0x00007ffff4e206a0 in KComponentData::dirs (this=0x65a9c0)
    at /usr/src/debug/kdelibs-4.2.0/kdecore/kernel/kcomponentdata.cpp:192
#2  0x00007ffff605228f in init () at /usr/src/debug/kdelibs-4.2.0/nepomuk/core/nepomukmainmodel.cpp:107
#3  MainModel (this=0x6bd880, parent=0x6b7800)
    at /usr/src/debug/kdelibs-4.2.0/nepomuk/core/nepomukmainmodel.cpp:168
#4  0x00007ffff604ebc6 in Nepomuk::ResourceManager::init (this=0x6cd870)
    at /usr/src/debug/kdelibs-4.2.0/nepomuk/core/resourcemanager.cpp:93
#5  0x00007ffff62980fb in createIndexManager () from /usr/lib64/strigi/strigiindex_sopranobackend.so
#6  0x0000000000c2f674 in Strigi::IndexPluginLoader::createIndexManager (name=<value optimized out>,
    dir=0x6585b8 "/home/rdieter1/.strigi/clucene")
    at /usr/src/debug/strigi-0.6.3/src/streamanalyzer/indexpluginloader.cpp:229
#7  0x00000000004160b4 in CombinedIndexManager (this=0x6b0080, type=@0x7fffffffd760,
    indexdir=@0x7fffffffd750) at /usr/src/debug/strigi-0.6.3/src/combinedindexer/combinedindexmanager.cpp:135
#8  0x000000000040a5d6 in main (argc=<value optimized out>, argv=<value optimized out>)
    at /usr/src/debug/strigi-0.6.3/src/daemon/daemon.cpp:274
Comment 7 Rex Dieter 2009-02-02 16:55:20 EST
bleh, I (accidentally) blew away ~/.strigi and now the problem's gone.  Rats.
Comment 8 Bug Zapper 2009-11-18 05:36:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 02:26:38 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.